> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mock Deposit

> Mock crypto and fiat deposit.



## OpenAPI

````yaml post /mock/deposit
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /mock/deposit:
    post:
      tags:
        - Mock
      summary: Mock Deposit
      description: Mock crypto and fiat deposit.
      operationId: post-mock-deposit
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                amount: 0
                confirmations: 0
                currency: ''
                fiatEvent: ''
                fromAddress: ''
                isRamp: false
                network: ''
                reference: ''
                sourceAccount: ''
                transactionID: ''
                txHash: ''
                username: ''
              properties:
                accountName:
                  type: string
                amount:
                  type: number
                confirmations:
                  type: number
                currency:
                  enum:
                    - BNB
                    - BTC
                    - ETH
                    - USDC
                    - USDT
                    - CUSD
                    - NGN
                    - KES
                  type: string
                fiatEvent:
                  enum:
                    - transfer.success
                  type: string
                fromAddress:
                  type: string
                isRamp:
                  type: boolean
                network:
                  enum:
                    - avalanche
                    - base
                    - binance
                    - bitcoin
                    - celo
                    - ethereum
                    - polygon
                    - tron
                    - solana
                    - naira
                    - kenyanshilling
                  type: string
                reference:
                  type: string
                sourceAccount:
                  type: string
                transactionID:
                  type: string
                txHash:
                  type: string
                username:
                  type: string
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  message: deposit in progress!
                properties:
                  message:
                    type: string
                type: object
          description: post mock deposit ok
        '400':
          content:
            application/json:
              schema:
                example:
                  message: Unsupported provider
                properties:
                  message:
                    type: string
                type: object
          description: post mock deposit bad request
        '500':
          content:
            application/json:
              schema:
                example:
                  message: Unable to process deposit
                properties:
                  message:
                    type: string
                type: object
          description: post mock deposit internal server error
      security: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````